# DataExchange
TKIGES
IGESData

# IGESData_NodeOfSpecificLib Class Reference

`#include <IGESData_NodeOfSpecificLib.hxx>`

## Public Member Functions

Standard_EXPORT | IGESData_NodeOfSpecificLib ()
Standard_EXPORT void | AddNode (const Handle(IGESData_GlobalNodeOfSpecificLib)&anode)
Standard_EXPORT const Handle_IGESData_SpecificModule & | Module () const
Standard_EXPORT const Handle_IGESData_Protocol & | Protocol () const
Standard_EXPORT const Handle_IGESData_NodeOfSpecificLib & | Next () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESData_GlobalNodeOfSpecificLib | thenode
Handle_IGESData_NodeOfSpecificLib | thenext

## Constructor & Destructor Documentation

Standard_EXPORT IGESData_NodeOfSpecificLib::IGESData_NodeOfSpecificLib | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void IGESData_NodeOfSpecificLib::AddNode | ( | const Handle(IGESData_GlobalNodeOfSpecificLib)& | anode | ) |

Standard_EXPORT const IGESData_NodeOfSpecificLib::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Handle_IGESData_SpecificModule& IGESData_NodeOfSpecificLib::Module | ( |  | ) | const

Standard_EXPORT const Handle_IGESData_NodeOfSpecificLib& IGESData_NodeOfSpecificLib::Next | ( |  | ) | const

Standard_EXPORT const Handle_IGESData_Protocol& IGESData_NodeOfSpecificLib::Protocol | ( |  | ) | const

## Field Documentation

Handle_IGESData_NodeOfSpecificLib IGESData_NodeOfSpecificLib::thenext `[private]`

Handle_IGESData_GlobalNodeOfSpecificLib IGESData_NodeOfSpecificLib::thenode `[private]`

The documentation for this class was generated from the following file:

- IGESData_NodeOfSpecificLib.hxx